Package org.silverpeas.components.community.security.authorization

# Class CommunityInstanceSimpleDocumentAccessControlExtension

java.lang.Object
org.silverpeas.core.security.authorization.DefaultInstanceSimpleDocumentAccessControlExtension
org.silverpeas.components.community.security.authorization.CommunityInstanceSimpleDocumentAccessControlExtension

All Implemented Interfaces:
  `org.silverpeas.core.security.authorization.ComponentInstanceSimpleDocumentAccessControlExtension`

@Named @Service public class CommunityInstanceSimpleDocumentAccessControlExtension extends org.silverpeas.core.security.authorization.DefaultInstanceSimpleDocumentAccessControlExtension

Author:
  silveryocha

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.silverpeas.core.security.authorization.ComponentInstanceSimpleDocumentAccessControlExtension

  `org.silverpeas.core.security.authorization.ComponentInstanceSimpleDocumentAccessControlExtension.Constants`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommunityInstanceSimpleDocumentAccessControlExtension()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `beforeComputingAuthorizations(String userId, org.silverpeas.core.contribution.attachment.model.SimpleDocument simpleDocument, org.silverpeas.core.security.authorization.AccessControlContext context)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CommunityInstanceSimpleDocumentAccessControlExtension

    public CommunityInstanceSimpleDocumentAccessControlExtension()

- ## Method Details

  - ### beforeComputingAuthorizations

    public void beforeComputingAuthorizations(String userId, org.silverpeas.core.contribution.attachment.model.SimpleDocument simpleDocument, org.silverpeas.core.security.authorization.AccessControlContext context)
    Specified by:
      `beforeComputingAuthorizations` in interface `org.silverpeas.core.security.authorization.ComponentInstanceSimpleDocumentAccessControlExtension`
    Overrides:
      `beforeComputingAuthorizations` in class `org.silverpeas.core.security.authorization.DefaultInstanceSimpleDocumentAccessControlExtension`